Next: wcscoll, Previous: wcschr, Up: Wchar strings

### 6.8 `wcscmp`—compare two wide-character strings

Synopsis

         #include <wchar.h>
         int wcscmp(const wchar_t *s1, *s2);

Description
The `wcscmp` function compares the wide-character string pointed to by s1 to the wide-character string pointed to by s2.

The sign of a non-zero return value is determined by the sign of the difference between the values of the first pair of wide-character codes that differ in the objects being compared.

Returns
Upon completion, `wcscmp` returns an integer greater than, equal to or less than 0, if the wide-character string pointed to by s1 is greater than, equal to or less than the wide-character string pointed to by s2 respectively.

Portability
`wcscmp` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.